﻿Imports System.Data
Imports ASPSnippets.FaceBookAPI
Imports System.Collections.Generic

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        FaceBookConnect.API_Key = "<API Key>"
        FaceBookConnect.API_Secret = "<API Secret>"
        If Not IsPostBack Then
            If Request.QueryString("login") = "1" Then
                FaceBookConnect.Authorize("publish_actions", Request.Url.AbsoluteUri.Split("?"c)(0))
                Return
            End If
            If Request.QueryString("code") IsNot Nothing Then
                Session("Code") = Request.QueryString("code")
                ClientScript.RegisterStartupScript([GetType](), "script", "window.opener.location.reload(); window.close();", True)
                Return
            End If
            If Session("Code") IsNot Nothing Then
                imgFaceBook.AlternateText = "share"
                imgFaceBook.ImageUrl = "~/img/fbshare.png"
            End If
            LoadImages()
        End If
    End Sub

    Protected Sub ShareImage(sender As Object, e As EventArgs)
        Dim imageUrl As String = Request.Form("image_url")
        Dim data As New Dictionary(Of String, String)()
        data.Add("link", imageUrl)
        data.Add("picture", imageUrl)
        FaceBookConnect.Post(Session("Code").ToString(), "me/feed", data)
        ClientScript.RegisterStartupScript([GetType](), "alert", "alert('Image has been shared.');", True)
    End Sub
    Protected Sub LoadImages()
        Dim dt As New DataTable()
        dt.Columns.Add("ImageUrl", GetType(String))
        dt.Rows.Add("http://farm4.staticflickr.com/3792/9147205860_5da6951bf4_m.jpg")
        dt.Rows.Add("http://farm6.staticflickr.com/5349/9096039944_1bcfb9d0a5_m.jpg")
        dt.Rows.Add("http://farm9.staticflickr.com/8380/8474516903_8a5eb01b51_m.jpg")
        dt.Rows.Add("http://farm6.staticflickr.com/5446/7093203455_c4fc025ef6_m.jpg")
        dt.Rows.Add("http://farm9.staticflickr.com/8395/8985239089_4318196db2_m.jpg")
        dt.Rows.Add("http://farm4.staticflickr.com/3723/8986453414_a869ddc3aa_m.jpg")
        Me.dlImages.DataSource = dt
        Me.dlImages.DataBind()
    End Sub
End Class
